KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
Suno API
4o Image APIVeo3.1 APIRunway APIFlux Kontext API
  1. Music Generation
  • Suno API Quickstart
  • Music Generation
    • Music Cover Generation Callbacks
    • Music Generation Callbacks
    • Music Extension Callbacks
    • Audio Upload and Cover Callbacks
    • Audio Upload and Extension Callbacks
    • Add Instrumental Callbacks
    • Add Vocals Callbacks
    • Replace Music Section Callbacks
    • Generate Music
      POST
    • Extend Music
      POST
    • Upload And Cover Audio
      POST
    • Upload And Extend Audio
      POST
    • Add Instrumental to Music
      POST
    • Add Vocals to Music
      POST
    • Get Music Task Details
      GET
    • Get Timestamped Lyrics
      POST
    • Boost Music Style
      POST
    • Generate Music Cover
      POST
    • Get Cover Generation Details
      GET
    • Replace Music Section
      POST
    • Generate Persona
      POST
    • Generate Mashup Music
      POST
    • Recovery Audio
      POST
  • Lyrics Generation
    • Lyrics Generation Callbacks
    • Generate Lyrics
      POST
    • Get Lyrics Task Details
      GET
  • WAV Conversion
    • Convert to WAV Callbacks
    • Convert to WAV Format
    • Get WAV Conversion Details
  • Vocal Removal
    • Audio Separation Callbacks
    • MIDI Generation Callbacks
    • Vocal & Instrument Stem Separation
    • Get Vocal Separation Details
    • Generate MIDI from Audio
    • Get MIDI Generation Details
  • Music Video Generation
    • Music Video Generation Callbacks
    • Create Music Video
    • Get Music Video Details
  • Sounds Generation
    • Generate sounds
  • voice
    • Suno Voice Generation Callback
    • Suno Voice Validation Phrase Callback
    • Suno Voice Generate Verification Phrase API
    • Suno Voice Get Verification Phrase API
    • Suno Voice Create Custom Voice API
    • Suno Voice Get Custom Voice Records
    • Suno Voice Regenerate Verification Phrase
    • Suno Voice Check Availability API
  1. Music Generation

Generate Mashup Music

POST
/api/v1/generate/mashup
Create remix music using AI models by combining multiple audio tracks.

Usage Guide#

This interface creates remix music from up to 2 uploaded audio files.
It combines elements from multiple tracks into a coherent new piece.
You can control the level of detail using custom mode and instrumental settings.

Parameter Details#

uploadUrlList is required and must contain exactly 2 audio file URLs.

In Custom Mode (customMode: true)#

Character limits for prompt across different models:
Modelprompt Limitstyle Limit
V43000 characters200 characters
V4_5 and V4_5PLUS5000 characters1000 characters
V4_5ALL5000 characters1000 characters
V5 and V5_55000 characters1000 characters
title length limit: 80 characters (all models).

In Non-Custom Mode (customMode: false)#

prompt length limit: 500 characters.
instrumental: Whether to generate instrumental music.
Other parameters should be left empty.

Developer Notes#

TIP
New users are advised to start with customMode: false, which is simpler.
Generated files will be retained for 14 days.
The callback process has three stages: text (text generation), first (first track complete), complete (all complete).
Uploaded audio files must have publicly accessible URLs.
uploadUrlList must contain exactly 2 audio file URLs to initiate remix generation.

Optional Parameters#

ParameterTypeDescription
vocalGenderstringVocal gender preference. m for male, f for female. Note: This parameter only takes effect when customMode is true. In practice, this parameter only increases the probability but does not guarantee adherence to the specified vocal gender.
styleWeightnumberStrength of adherence to style. Note: This parameter only takes effect when customMode is true. Range is 0–1, with two decimal places. Example: 0.61.
weirdnessConstraintnumberCreativity/discreteness level. Note: This parameter only takes effect when customMode is true. Range is 0–1, with two decimal places. Example: 0.72.
audioWeightnumberWeight of audio elements. Note: This parameter only takes effect when customMode is true. Range is 0–1, with two decimal places. Example: 0.65.

Callbacks

audioGenerated

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Request successful
Bodyapplication/json

🔴500Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/generate/mashup' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
  "uploadUrlList": [
    "https://example.com/audio1.mp3",
    "https://example.com/audio2.mp3"
  ],
  "customMode": true,
  "model": "V4",
  "callBackUrl": "https://example.com/callback",
  "prompt": "A calm and relaxing piano track with soft melodies",
  "style": "Jazz",
  "title": "Relaxing Piano",
  "instrumental": true,
  "vocalGender": "m",
  "styleWeight": 0.61,
  "weirdnessConstraint": 0.72,
  "audioWeight": 0.65
}'
Response Response Example
200 - Example 1
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "5c79****be8e"
    }
}
Previous
Generate Persona
Next
Recovery Audio
Built with